@if not "%ECHO%"=="" echo %ECHO%
@if not "%OS%" =="Windows_NT" goto EOF
set logfile="c:\program files\nortel networks\voice platform\logs\WAN_ISDN_2.log"
@echo off


REM reg query "HKLM\SOFTWARE\Nortel Networks\Platform Services"
Echo *=============================================================================*
Echo Nortel Networks                                 Business Communications Manager
Echo *=============================================================================*
Echo.
Echo				Version 
Echo			*============================*
Echo.
Call "C:\program files\Nortel Networks\Voice Platform\GetVersion.cmd"
Echo			BCM Rls ID %RL_ID% %RELEASE%  
Echo			Version %VERS%
Echo			Hardware Profile %PROF% %PROFNAME%
Echo.
Echo.
call :timestamp
echo %thisdate% %thistime% *=============================================================================* >> %logfile%
echo %thisdate% %thistime% Nortel Networks                                 Business Communications Manager >> %logfile%
echo %thisdate% %thistime% *=============================================================================* >> %logfile%
echo %thisdate% %thistime% >> %logfile%
echo %thisdate% %thistime%				   Version >> %logfile%
echo %thisdate% %thistime%			*============================* >> %logfile%
echo %thisdate% %thistime% >> %logfile%
echo %thisdate% %thistime%			BCM Rls ID %RL_ID% %RELEASE% >> %logfile%
echo %thisdate% %thistime%			Version %VERS% >> %logfile%
echo %thisdate% %thistime%			Hardware Profile %PROF% %PROFNAME% >> %logfile%
echo %thisdate% %thistime% >> %logfile%
echo %thisdate% %thistime% >> %logfile%
if %RL_ID% == 2.5 ( 
    if "%RELEASE%" == "RC 6.3" (
        if %VERS% == 7.1.7 (
            echo BCM 2.5 RC 6.3 v7.1.7 
            goto BCM25
        ) else if %VERS% == 7.1.8 (
            echo BCM 2.5 RC 6.3 v7.1.8 
            goto BCM25
        ) else if %VERS% == 7.1.9 (
            echo BCM 2.5 RC 6.3 v7.1.9 
            goto BCM25
        ) else goto error
    ) else if "%RELEASE%" == "Feature Pack 1  RC 2.4" (
        echo BCM 2.5 Feature Pack 1 RC 2.4
        goto BCM25FP1
    ) else if "%RELEASE%" == "Feature Pack 1 RC 2.4" (
        echo BCM 2.5 Feature Pack 1 RC 2.4
        goto BCM25FP1
    ) else if "%RELEASE%" == "Feature Pack 1 RC 2.4 U" (
        echo BCM 2.5 Feature Pack 1 RC 2.4 U
        goto BCM25FP1
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1
        goto BCM25FP1
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1 P" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1 P
        goto BCM25FP1
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1 U" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1 U
        goto BCM25FP1
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1 S" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1 S
        goto BCM25FP1
    ) else goto error
) else goto error


:BCM25
set version="BCM25"
goto START


:BCM25FP1
set version="BCM25FP1"
goto START


:START
echo ******* Updating files *******
call :timestamp
echo %thisdate% %thistime% - Updating files >> %logfile%
if not exist "c:\winnt\system32\drivers\lldial.sys.wan_isdn_2" (
    echo ** Updating LLDIAL.SYS **
    call :timestamp
    echo %thisdate% %thistime% - Updating LLDIAL.SYS >> %logfile%
    move "c:\winnt\system32\drivers\lldial.sys" "c:\winnt\system32\drivers\lldial.sys.wan_isdn_2"
    xcopy /e /i /r /f "c:\program files\nortel networks\patches\WAN_ISDN_2\%version%\lldial.sys" "c:\winnt\system32\drivers\"
)
if not exist "c:\winnt\system32\wanexam.exe.wan_isdn_2" (
    echo ** Updating wanexam.exe **
    call :timestamp
    echo %thisdate% %thistime% - Updating wanexam.exe >> %logfile%
    move "c:\winnt\system32\wanexam.exe" "c:\winnt\system32\wanexam.exe.wan_isdn_2"
    xcopy /e /i /r /f "c:\program files\nortel networks\patches\WAN_ISDN_2\%version%\wanexam.exe" "c:\winnt\system32\"
)
if not exist "c:\program files\nortel networks\wanexamination\wanexam.exe.wan_isdn_2" (
    echo ** Updating wanexam.exe **
    call :timestamp
    echo %thisdate% %thistime% - Updating wanexam.exe >> %logfile%
    move "c:\program files\nortel networks\wanexamination\wanexam.exe" "c:\program files\nortel networks\wanexamination\wanexam.exe.wan_isdn_2"
    xcopy /e /i /r /f "c:\program files\nortel networks\patches\WAN_ISDN_2\%version%\wanexam.exe" "c:\program files\nortel networks\wanexamination\"
)
if not exist "c:\winnt\system32\drivers\wntdrv.sys.wan_isdn_2" (
    echo ** Updating wntdrv.sys **
    call :timestamp
    echo %thisdate% %thistime% - Updating wntdrv.sys >> %logfile%
    move "c:\winnt\system32\drivers\wntdrv.sys" "c:\winnt\system32\drivers\wntdrv.sys.wan_isdn_2"
    xcopy /e /i /r /f "c:\program files\nortel networks\patches\WAN_ISDN_2\%version%\WNTDRV.SYS" "c:\winnt\system32\drivers\"
)
if not exist "c:\program files\nortel networks\shared files\wntlib.dll.wan_isdn_2" (
    echo ** Updating wntlib.dll **
    call :timestamp
    echo %thisdate% %thistime% - Updating wntlib.dll >> %logfile%
    move "c:\program files\nortel networks\shared files\wntlib.dll" "c:\program files\nortel networks\shared files\wntlib.dll.wan_isdn_2"
    xcopy /e /i /r /f "c:\program files\nortel networks\patches\WAN_ISDN_2\%version%\wntlib.dll" "c:\program files\nortel networks\shared files\"
)
if not exist "c:\program files\nortel networks\voice cti\runtime\wntstar.exe.wan_isdn_2" (
    echo ** Updating wntstar.exe **
    call :timestamp
    echo %thisdate% %thistime% - Updating wntstar.exe >> %logfile%
    move "c:\program files\nortel networks\voice cti\runtime\wntstar.exe" "c:\program files\nortel networks\voice cti\runtime\wntstar.exe.wan_isdn_2"
    xcopy /e /i /r /f "c:\program files\nortel networks\patches\WAN_ISDN_2\%version%\wntstar.exe" "c:\program files\nortel networks\voice cti\runtime\"
)
if not exist "c:\program files\nortel networks\voice cti\runtime\wnttest.exe.wan_isdn_2" (
    echo ** Updating wnttest.exe **
    call :timestamp
    echo %thisdate% %thistime% - Updating wnttest.exe >> %logfile%
    move "c:\program files\nortel networks\voice cti\runtime\wnttest.exe" "c:\program files\nortel networks\voice cti\runtime\wnttest.exe.wan_isdn_2"
    xcopy /e /i /r /f "c:\program files\nortel networks\patches\WAN_ISDN_2\%version%\wnttest.exe" "c:\program files\nortel networks\voice cti\runtime\"
)
echo ******* Update complete *******
call :timestamp
echo %thisdate% %thistime% - Update Complete >> %logfile%


goto END


REM ******************* Some functions to be called *******************
:timestamp
for /f "tokens=2" %%i in ('date /t') do set thisdate=%%i
for /f %%i in ('time /t') do set thistime=%%i
goto EOF
REM ******************* Some functions to be called *******************


:error
echo Incorect BCM version detected.
call :timestamp
echo %thisdate% %thistime% - Incorrect BCM Version detected. >> %logfile%
echo This patch is to be applied to a BCM 2.5 and BCM 2.5 FP1 systems only.
call :timestamp
echo %thisdate% %thistime% - This patch is to be applied to a BCM 2.5 and BCM 2.5 FP1 systems only. >> %logfile%


:END
sleep 5
rmdir /s /q "c:\program files\nortel networks\patches\WAN_ISDN_2\"


:EOF